program ccltastst;

%include lb:[22,320]general3.typ;
%include de:[107,114]clunk.typ;
%include de:[22,320]ccltas.ext;

var
  in_string	: ch30;
  out_clunk	: clunk_type;
  places	: integer;
  negitive	: boolean;

begin
  write('Clunk[1..4]:');
  readln(out_clunk[1],out_clunk[2],out_clunk[3],out_clunk[4]);
  write('Places:');
  readln(places);
  write('negitive [N/P]:');
  readln(in_string);
  negitive := false;
  if (in_string[1] = 'N') or (in_string[1] = 'n') then
    negitive := true;
  ccltas(out_clunk,places,negitive,in_string);
  writeln(out_clunk[1],out_clunk[2],out_clunk[3],out_clunk[4]);
  writeln(in_string);
  if negitive then writeln('NEGITIVE') else writeln('POSITIVE');
end.
